GET api/PatientEducationMaterials?externalId={externalId}

Gets information about a patient education material model.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
externalId

Patient education material's unique ID on integrating system.

string

Required

Body Parameters

None.

Response Information

Resource Description

PatientEducationMaterialModel
NameDescriptionTypeAdditional information
PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

Name

Name of the patient education material (Required).

string

None.

Type

Patient education material types: Document, Link or Video (Required).

string

None.

Active

Patient education material is active or not.(Default value true).

boolean

None.

URL

URL of the patient education material.

string

None.

Reviews

How many times this patient has seen this patient education material.

string

None.

DateAddedUtc

The date when the patient education material was inserted (Read only).

date

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "doctorExternalId": "sample string 2",
  "name": "sample string 3",
  "type": "sample string 4",
  "active": true,
  "url": "sample string 6",
  "reviews": "sample string 7",
  "dateAddedUtc": "2026-05-29T16:59:02.5438313+00:00",
  "id": "028675e1-60a9-41fe-a952-a8bf4f77032c",
  "externalId": "sample string 10"
}

application/xml, text/xml

Sample:
<PatientEducationMaterialModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientEducationMaterials">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">028675e1-60a9-41fe-a952-a8bf4f77032c</Id>
  <Active>true</Active>
  <DateAddedUtc>2026-05-29T16:59:02.5438313+00:00</DateAddedUtc>
  <DoctorExternalId>sample string 2</DoctorExternalId>
  <Name>sample string 3</Name>
  <PatientExternalId>sample string 1</PatientExternalId>
  <Reviews>sample string 7</Reviews>
  <Type>sample string 4</Type>
  <URL>sample string 6</URL>
</PatientEducationMaterialModel>